%Chemostat data of the strain K12GAPN+zwf+pPHB 
%June 2018
%%%AEROBIC
% % % METABOLITE DATA
%from Aerobic to Oxygen Limited conditions
clear all;  clc ;close all;
clf
%% use this method next

%read xls with [num,text,raw]=xlsread(filename)
% [num,text,raw] = xlsread('MIC_GANP','input_AA');
% 
% % write down collumn indices and row indices
% 
% %example: raw(24:42,[1 3 8])
% colinds=[3 8]
% rowinds=24:41
% cdata=cell2mat(raw(rowinds,colinds)) 

%% normalization
% normdata=cdata./cdata(:,2)
% 
% xlabels=raw(2,colinds)
% ylabels=raw(rowinds,1)
% 
% figure(1)
% h = heatmap(xlabels,ylabels,cdata)
% figure(2)
% n = heatmap(xlabels,ylabels,normdata)

%% Glycolysis/PPP/TCA K12GAPN?zwf+pPHB
%% metabolites separated

%read xls with [num,text,raw]=xlsread(filename)
[num,text,raw] = xlsread('MIC_GANP','GPT');

% write down collumn indices and row indices
% cdata= raw(2:14,[ 2 3 4 5 6 7 8 9]);

% cdata= raw(2:26,[ 2 3 4 5 6 7 8 9]);
% colinds=[3 8]
% rowinds=24:41
% cdata=cell2mat(raw(rowinds,colinds)) 
% norm_data=cdata./cdata(:,10);
%% Glycolysis/PPP
xvalues=raw(1,8:end);
yvalues=raw(2:19);
cdata=num(1:18,1:7);
xvar=xvalues
yvar=yvalues
%xvalues = {'16.6','28.6','53.6','15.3','11.8','8.3','5.4','2.5'};
xvalues = {'1.05','1.38','1.54','1.76','2.78','3.09','3.36'};
	

norm_collumn=2
normdata=cdata./cdata(:,2)
delta=cdata-cdata(:,2)

figure(1)
h = heatmap(xvalues,yvalues,cdata);
 h.ColorScaling = 'scaled'
 h.GridVisible = 'off'
 h.ColorLimits = [0 10]
 h.Colormap = jet
 
figure(2)
n = heatmap(xvalues,yvalues,normdata); 
 n.ColorScaling = 'scaled'
 n.GridVisible = 'off'
 n.ColorLimits = [0 10]
 n.Colormap = jet


figure(3)
d = heatmap(xvalues,yvalues,delta);
 d.ColorScaling = 'scaled'
 d.GridVisible = 'off'
 d.ColorLimits = [-10 10]
 d.Colormap = jet

 
 %%  PCA Principal component analysis

standerdized=zeros(size(cdata));
for i=1:size(standerdized,1)
row=num(i,:);
standardized(i,:)=(row-mean(row))./std(row)
end
 mapcaplot(standardized,yvalues)

%%

figure('Name','mEMP/PPP');
h=heatmap(xvalues,yvalues,cdata);
h.CellLabelFormat = '%.2f';
% h.Title = 'mEMP/PPP';
h.XLabel = 'O2/S (mmolO2/mmolS)';
h.YLabel = ' Yield (mmoli/mmolS))';

%%%%% TCA
%%data normalization for succinate
xvalues=raw(1,8:end);
yvalues=raw(20:26);
cdata=num(19:25,1:7);
xvar=xvalues
yvar=yvalues
% xvalues = {'16.6','28.6','53.6','15.3','11.8','8.3','5.4','2.5'};
xvalues = {'1.05','1.38','1.54','1.76','2.78','3.09','3.36'};

figure('Name','TCA')
h=heatmap(xvalues,yvalues,cdata);
h.CellLabelFormat = '%.2f';
% h.Title = 'TCA';
h.XLabel = 'O2/S (mmolO_2/mmolS','tex';
h.YLabel = ' Yield (mmoli/mmolS) ';
% 

%% AMINO ACIDS TUD36
%% separated by metabolite sources 

%% E4P/3PG/Pyr
[num,text,raw] = xlsread('MIC_GANP','aas');

xvalues=raw(1,8:end);
yvalues=raw(2:10);
cdata=num(1:9,1:7);
xvar=xvalues
yvar=yvalues
% xvalues = {'16.6','28.6','53.6','15.3','11.8','8.3','5.4','2.5'};
xvalues = {'1.05','1.38','1.54','1.76','2.78','3.09','3.36'};


figure('Name','AAS')
h=heatmap(xvalues,yvalues,cdata);
h.CellLabelFormat = '%.2f';
% h.Title = 'TCA';
h.XLabel = 'O2/S (mmolO2/mmolS)';
h.YLabel = 'Yield (mmolAAS/mmolS)';

%%%%Amino acids
%%%% a-K/OAA

xvalues=raw(1,8:end);
yvalues=raw(11:20);
cdata=num(10:19,1:7);
xvar=xvalues
yvar=yvalues
% xvalues = {'16.6','28.6','53.6','15.3','11.8','8.3','5.4','2.5'};
xvalues = {'1.05','1.38','1.54','1.76','2.78','3.09','3.36'};


figure('Name','AAS')
h=heatmap(xvalues,yvalues,cdata);
h.CellLabelFormat = '%.2f';
% h.Title = 'TCA';
h.XLabel = 'O2/S (mmolO2/mmolS)';
h.YLabel = 'Yield (mmolAAS/mmolS)';
%h.YLabel = 'AAS (mmolAAS/mmolS)';



